com.holonplatform.vaadin7.components.builders

## Interface PropertyListingBuilder.TablePropertyListingBuilder

- All Superinterfaces:
    BaseItemDataSourceComponentBuilder<PropertyListingBuilder.TablePropertyListingBuilder>, ComponentBuilder<PropertyListing,PropertyListingBuilder.TablePropertyListingBuilder>, ComponentConfigurator<PropertyListingBuilder.TablePropertyListingBuilder>, ComponentPostProcessorSupport<com.vaadin.ui.Table,PropertyListingBuilder.TablePropertyListingBuilder>, ItemDataSourceComponentBuilder<com.holonplatform.core.property.PropertyBox,PropertyListing,PropertyListingBuilder.TablePropertyListingBuilder>, ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.TablePropertyListingBuilder,com.vaadin.ui.Table>, ItemListingBuilder.BaseTableItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.TablePropertyListingBuilder>, PropertyListingBuilder<PropertyListingBuilder.TablePropertyListingBuilder,com.vaadin.ui.Table>
  Enclosing interface:
    PropertyListingBuilder<B extends PropertyListingBuilder<B,X>,X extends com.vaadin.ui.Component>

      public static interface PropertyListingBuilder.TablePropertyListingBuilder
      extends PropertyListingBuilder<PropertyListingBuilder.TablePropertyListingBuilder,com.vaadin.ui.Table>, ItemListingBuilder.BaseTableItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.TablePropertyListingBuilder>

  Builder to create `PropertyListing` components using a `Table` as backing component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.PropertyListingBuilder

      `PropertyListingBuilder.GridPropertyListingBuilder, PropertyListingBuilder.TablePropertyListingBuilder`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ItemListingBuilder

      `ItemListingBuilder.BaseGridItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder.BaseGridItemListingBuilder<T,P,C,B>>, ItemListingBuilder.BaseTableItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder.BaseTableItemListingBuilder<T,P,C,B>>, ItemListingBuilder.FooterBuilder, ItemListingBuilder.GridFooterGenerator<T,P>, ItemListingBuilder.GridItemListingBuilder<T>, ItemListingBuilder.GridSection<ROWTYPE extends com.vaadin.ui.Grid.StaticSection.StaticRow<?>>, ItemListingBuilder.HeaderBuilder, ItemListingBuilder.TableFooterGenerator<T,P>, ItemListingBuilder.TableItemListingBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.PropertyListingBuilder

      `dataSource, dataSource, required, required, required, required, withValidator, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ItemListingBuilder.BaseTableItemListingBuilder

      `cacheRate, dragMode, dropHandler, expandRatio, footer, icon, pageLength, rowGenerator, withActionHandler, withFooterClickListener, withHeaderClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ItemListingBuilder

      `alignment, buffered, build, build, columnHidingAllowed, columnReorderingAllowed, commitHandler, defaultValue, editable, editable, editor, footerVisible, header, header, header, hidable, hidden, hideHeaders, itemDescriptionGenerator, readOnly, selectionMode, sortable, sortGenerator, sortUsing, style, style, width, withItemClickListener, withPropertyReorderListener, withPropertyResizeListener, withPropertyVisibilityListener, withRowStyle, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ItemDataSourceComponentBuilder

      `dataSource, dataSource, itemAdapter`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentPostProcessorSupport

      `withPostProcessor`

Copyright © 2019 The Holon Platform. All rights reserved.